import { DependencyErrorType } from './types';
import { Key } from '../ServiceCollection/IServiceCollection';
export declare class CircularDependencyError extends Error {
    readonly lifetime: string;
    readonly type: DependencyErrorType;
    readonly layer: Key<any>[];
    constructor(lifetime: Key<any>, layer: Key<any>[]);
}
